<!--
 * @Date: 2025-07-01 20:45:15
 * @LastEditors: gaoshp
 * @LastEditTime: 2025-07-04 19:10:24
 * @FilePath: /mdmweb/src/views/flow/components/TodolistRightTop.vue
-->
<template>
    <basic-container>
    <el-form :inline="true" :model="formInline" class="demo-form-inline" label-width="120px" disabled>
        <el-form-item label="流程标题">
            <el-input v-model="formInline.processDefinitionName" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="创建人">
            <el-input v-model="formInline.startUserName" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="设计版次">
            <el-input v-model="formInline.empty" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="工艺版次">
            <el-input v-model="formInline.craftEdition" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="任务车间">
            <el-input v-model="formInline.empty" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="产品型号">
            <el-input v-model="formInline.productModel" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="工序号">
            <el-input v-model="formInline.processNo" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="工序名称">
            <el-input v-model="formInline.processName" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="零组件号">
            <el-input v-model="formInline.partNo" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="加工机床">
            <el-input v-model="formInline.machineCode" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="过程卡号">
            <el-input v-model="formInline.empty" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="创建时间">
            <el-input v-model="formInline.createTime" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="计划加工时间">
            <el-input v-model="formInline.planStartTime" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="程序包名">
            <el-input v-model="formInline.programmer" placeholder=""></el-input>
        </el-form-item>
        <el-form-item label="当前节点">
            <el-input v-model="formInline.taskName" placeholder=""></el-input>
        </el-form-item>
    </el-form>
    </basic-container>
</template>

<script>
export default {
    props: {
        row: {
            type: Object,
        }
    },
    data() {
        return {
            formInline: {}
        }
    },
    mounted() {
        // Initialize formInline with row data
        this.formInline = {
            ...this.row,
            processDefinitionName: this.row.processDefinitionName || '',
            taskName: this.row.taskName || '',
            createTime: this.row.createTime || '',
            startUserName: this.row.startUserName || '',
            craftEdition: this.row.variables.craftEdition || '',
            machineCode: this.row.variables.machineCode || '',
            processName: this.row.variables.processName || '',
            processNo: this.row.variables.processNo || '',
            planStartTime: this.row.variables.planStartTime || '',
            productModel: this.row.variables.productModel || '',
            partNo: this.row.variables.partNo || '',
        }
    }
}
</script>

<style lang="scss" scoped></style>